# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%global namedreltag -redhat-4
%global namedversion %{version}%{?namedreltag}
%global reltag .redhat_4

%if "%{?rhel}" == "6"

%if %without mead
%bcond_without repolib
%else
%bcond_with repolib
%endif

%else
%bcond_with repolib
%endif

%if %without mead
%bcond_with jdk6
%bcond_with demo
%endif

%define repodir %{_javadir}/repository.jboss.com/jacorb/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%global shortname jacorb

%define maven_version 2.3.2-redhat-4

Name:           jacorb-jboss
Version:        2.3.2
Release:        11%{reltag}%{?dist}
Epoch:          0
Summary:        Free Java implementation of OMG's CORBA standard
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: org.jacorb-jacorb-parent-2.3.2-redhat-4-sources.zip
Source101: org.jacorb-jacorb-parent-2.3.2-redhat-4-patches.zip
Source102: jacorb-idl-compiler-2.3.2-redhat-4-sources.jar
Source103: jacorb-idl-compiler-2.3.2-redhat-4-resources.zip
Source104: jacorb-idl-compiler-2.3.2-redhat-4.jar
Source105: jacorb-idl-compiler-2.3.2-redhat-4.pom
Source106: jacorb-2.3.2-redhat-4.jar
Source107: jacorb-2.3.2-redhat-4.pom
Source108: jacorb-2.3.2-redhat-4-sources.jar
Source109: resources-2.3.2-redhat-4.jar
Source110: resources-2.3.2-redhat-4.pom
Source111: resources-2.3.2-redhat-4-sources.jar
Source112: jacorb-release-2.3.2-redhat-4-source.zip
Source113: jacorb-release-2.3.2-redhat-4-binary.zip
Source114: jacorb-release-2.3.2-redhat-4.pom
Source115: jacorb-parent-2.3.2-redhat-4.pom
%endif

URL:            http://www.jacorb.org/

%if %without mead
#cvs -d :pserver:anonymous@www.jacorb.org/cvs login
#cvs -d :pserver:anonymous@www.jacorb.org/cvs export -r R_2_3_2_jboss-1 JacORB
# no export revision info
#mv JacORB jacorb-2.3.2
#zip -r jacorb-2.3.2-src.zip jacorb-2.3.2
Source0:        jacorb-2.3.2-src.zip
Source1:        jacorb-jboss-component-info.xml
#Source2:       http://repository.jboss.com/jacorb/2.3.0jboss.patch3/resources/CSI.idl
#Source3:       http://repository.jboss.com/jacorb/2.3.0jboss.patch3/resources/CosTransactions.idl
# JBPAPP-5924 jacorb.properties (Upgrade to patch-02)
Source4:        https://issues.jboss.org/secure/attachment/12341161/jacorb.properties
Source5:        http://repository.jboss.com/jacorb/2.3.0jboss.patch3/resources/orb.idl
Source6:        jacorb-repolib-README
## pom.xml files in Source7 to Source 12 modified to include @VERSION@
Source7:        jacorb-idl-compiler.pom
#https://svn.jboss.org/repos/repository.jboss.org/maven2-brew/jacorb/idl/2.3.1jboss.patch01/idl-2.3.1jboss.patch01.pom
Source8:        idl-2.3.1jboss.pom
#https://svn.jboss.org/repos/repository.jboss.org/maven2-brew/jacorb/idl_g/2.3.1jboss.patch01/idl_g-2.3.1jboss.patch01.pom
Source9:	idl_g-2.3.1jboss.pom
#https://issues.jboss.org/secure/attachment/12353485/pom.xml; s/2.3.2.jbossorg-0/@VERSION@/
Source10:	jacorb-2.3.2jboss.pom
#https://svn.jboss.org/repos/repository.jboss.org/maven2-brew/jacorb/jacorb_g/2.3.1jboss.patch01/jacorb_g-2.3.1jboss.patch01.pom
Source11:	jacorb_g-2.3.1jboss.pom
#https://svn.jboss.org/repos/repository.jboss.org/maven2-brew/jacorb/resources/2.3.1jboss.patch01/resources-2.3.1jboss.patch01.pom
Source12: 	resources-2.3.1jboss.pom

Source13: 	jacorb-jboss-upload.sh
#unzip http://www.jacorb.org/releases/2.3.1/jacorb-2.3.1-src.zip jacorb-2.3.1/src/org/jacorb/idl/parser.java jacorb-2.3.1/src/org/jacorb/idl/sym.java
#mv jacorb-2.3.1/src/org/jacorb/idl/parser.java jacorb-jboss-parser.java 
#mv jacorb-2.3.1/src/org/jacorb/idl/sym.java jacorb-jboss-sym.java 
Source14: 	jacorb-jboss-parser.java
Source15: 	jacorb-jboss-sym.java
Patch0:         jacorb-2.3.1-notification-build_xml.patch
#Patch1:         jacorb-2.3.1-version.patch
Patch2:		ant_javadoc_memory.patch
# One Off for JBPAPP-10393
Patch3:		jacorb-JBPAPP-10393.patch
%endif

BuildRequires:  jpackage-utils >= 0:1.7.3

%if %without mead
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  antlr >= 0:2.7.2
BuildRequires:  avalon-logkit >= 0:1.2
BuildRequires:  jakarta-commons-collections >= 0:2.0
BuildRequires:  jakarta-commons-logging
BuildRequires:  java_cup
BuildRequires:  jboss-parent
BuildRequires:  tanukiwrapper >= 0:3.1.0
BuildRequires:  picocontainer >= 0:1.2
BuildRequires:  slf4j >= 0:1.6.1
BuildRequires:  xdoclet >= 0:1.2.3
BuildRequires:  xjavadoc >= 0:1.1
%endif

%if %with repolib
BuildRequires:  maven-deploy-plugin
%endif

Requires(post): jpackage-utils
Requires(postun): jpackage-utils

%if %with repolib
Requires:       antlr
#Requires:       avalon-logkit
Requires:       jakarta-commons-collections
#Optional:       tanukiwrapper
#Optional:      picocontainer
#Requires:       slf4j >= 0:1.6.1
Requires:       slf4j
%endif

Provides:       jacorb = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
- high-performance, fully multithreaded ORB 
- IDL compiler, supports OMG IDL/Java language mapping 
  rev. 2.3, OBV 
- native IIOP, GIOP 1.2 and Bidirectional GIOP 
- POA (Portable Object Adapter) 
- AMI (Asynchronous Method Invocations) 
- ETF (Extensible Transport Framework) 
- POAMonitor, a GUI tools that lets you inspect your 
  object adapters (screenshot) 
- Dynamic Invocation Interface (DII) and Dynamic Skeleton 
  Interface (DSI) 
- Dynamic Management of Anys (DynAny) 
- Portable Interceptors (standard) 
- OMG Interoperable Naming Service 
- NameManager, a GUI browser for the name service 
  (requires Swing or JDK 1.2) (screenshot) 
- improved IIOP over SSL, includes KeyStoreManager 
- OMG Notification  and Event service 
- Transaction Service, Collection and Concurrency services 
- TradingService (supports trader links), an extension of 
  Mark Spruiell's free JTrader 
- CORBA 2.3 Code set support 
- Appligator, an IIOP proxy 
- Support for HTTP tunneling 
- Domain Manager, an object domain management service, 
  includes a domain browser GUI 
- Interface Repository 
- IRBrowser, a GUI front end for the Interface Repository
- Implementation Repository 
- Implementation Repository Manager, a GUI front end for 
  the Implementation Repository 
- IDL and Java source for all CORBA/COSS interfaces 
- examples and full source code included 
- 100% pure Java, JDK 1.3 and 1.4 compatible, also cooperates 
  with Sun's JDK 1.2 classes (releases prior to 1.4 are 
  compatible with JDK 1.1) 

Note: To use the CORBA Notification Service add picocontainer.jar
      to the ClassPath (from the 'picocontainer' RPM).

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%if %without mead
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation


%description javadoc
%{summary}

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation


%description manual
%{summary}.

%if %with demo
%package demo
Summary:        Usage examples for %{name}
Group:          Development/Documentation


%description demo
%{summary}.
%endif
%endif

%if %with mead
%package release
Summary:        JacORB Release Module for packaging distribution zips
Group:          Development/Java

%description release
%{summary}.

%endif

%prep

%if %without mead
%setup -q -n jacorb-%{version}
chmod -R go=u-w *
find . -name "*.jar" | xargs -t rm
cp %{SOURCE14} src/org/jacorb/idl/parser.java
cp %{SOURCE15} src/org/jacorb/idl/sym.java

%patch0 -b .sav
#%patch1 -b .sav
%patch2 -p1 -b .sav
%patch3 -p1 -b .sav

sed -i "s/@VERSION@/%{namedversion}/g" etc/jacorb_jar.manifest

# assume no filename contains spaces
# Uncomment this one for JDK 1.5  (not needed with Java4)
perl -p -i -e 's/edu(.)emory(.)mathcs(.)backport(.)java(.)util/java${1}util/' `grep edu.emory.mathcs.backport.java.util -lr *`

pushd lib
ln -s $(build-classpath antlr) .
ln -s $(build-classpath avalon-logkit) .
ln -s $(build-classpath picocontainer) .
ln -s $(build-classpath slf4j-api) .
#ln -s $(build-classpath slf4j-jdk14) .
ln -s $(build-classpath tanukiwrapper) .
pushd build
ln -s $(build-classpath commons-collections) .
ln -s $(build-classpath commons-logging) .
ln -s $(build-classpath java_cup) .
ln -s $(build-classpath xdoclet/xdoclet) .
ln -s $(build-classpath xdoclet/xdoclet-ejb-module) .
ln -s $(build-classpath xdoclet/xdoclet-jboss-module) .
ln -s $(build-classpath xdoclet/xdoclet-jmx-module) .
ln -s $(build-classpath xdoclet/xdoclet-mx4j-module) .
ln -s $(build-classpath xdoclet/xdoclet-web-module) .
ln -s $(build-classpath xjavadoc) .
popd
popd
# Tests were not included with the 2.2.4 source zip
#pushd test/regression/lib
#ln -s $(build-classpath easymock) .
#ln -s $(build-classpath emma) .
#ln -s $(build-classpath emma_ant) .
#ln -s $(build-classpath junit) .
#popd

mkdir temp

%{__perl} -pi -e 's/\r$//g' \
  bin/NotifyService-Wrapper-MX4J.conf.template \
  bin/NamingService-Wrapper.conf \
  bin/NotifyService-Wrapper.conf \
  doc/CONTEXT_IDs \
  doc/jacorb.css \
  doc/Coding.txt \
  doc/REL_NOTES \
  doc/dds/TODOLIST.txt \
  doc/LICENSE \
  doc/dds/style.css

#find . -name "*.jar" -exec rm -f {} \;
%endif

%build
%if %without mead
export CLASSPATH=
export OPT_JAR_LIST=:
export ANT_OPTS="-Xms750m -Xmx1750m -Xss2m"
%{ant} all doc
for i in lib/*.jar ; do j=`basename $i` ; cp $i temp/${j/\.jar/_g.jar} ; done
%{ant} realclean
%{ant} -Ddebug=off all doc
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %without mead
# remove DOS files
find . -name "*.exe" -exec rm {} \;
find . -name "*.bat" -exec rm {} \;

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 0644 lib/%{shortname}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{shortname}-%{version}.jar
%add_to_maven_depmap jacorb jacorb %{namedversion} JPP/%{name} jacorb
install -p -m 0644 temp/%{shortname}_g.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{shortname}_g-%{version}.jar
%add_to_maven_depmap jacorb jacorb_g %{namedversion} JPP/%{name} jacorb_g
install -p -m 0644 lib/idl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/idl-%{version}.jar
%add_to_maven_depmap jacorb idl %{namedversion} JPP/%{name} idl
install -p -m 0644 temp/idl_g.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/idl_g-%{version}.jar
%add_to_maven_depmap jacorb idl_g %{namedversion} JPP/%{name} idl_g

%else
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/jacorb-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jacorb-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jacorb-idl-compiler-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jacorb-idl-compiler-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jacorb-idl-compiler-%{namedversion}-resources.zip %{buildroot}%{_javadir}/%{name}/jacorb-idl-compiler-%{namedversion}-resources.zip
%{__cp} -p %{_sourcedir}/resources-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jacorb-resources-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jacorb-release-%{namedversion}-binary.zip %{buildroot}%{_javadir}/%{name}/jacorb-release-%{namedversion}-binary.zip
%{__cp} -p %{_sourcedir}/jacorb-release-%{namedversion}-source.zip %{buildroot}%{_javadir}/%{name}/jacorb-release-%{namedversion}-source.zip
%endif

# pom
mkdir -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%if %without mead
sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE8}
cp -p %{SOURCE8} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-idl.pom
%add_to_maven_depmap jacorb idl %{namedversion} JPP %{name}-idl

sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE9}
cp -p %{SOURCE9} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-idl_g.pom
%add_to_maven_depmap jacorb idl_g %{namedversion} JPP %{name}-idl_g

sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE10}
cp -p %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-jacorb.pom
%add_to_maven_depmap jacorb jacorb %{namedversion} JPP %{name}-jacorb

sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE11}
cp -p %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-jacorb_g.pom
%add_to_maven_depmap jacorb jacorb_g %{namedversion} JPP %{name}-jacorb_g

sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE12}
cp -p %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-resources.pom
%add_to_maven_depmap jacorb resources %{namedversion} JPP %{name}-resources

# FIXME: We need a pom for each artifact
sed -i "s/@VERSION@/%{namedversion}/g" %{SOURCE7}
install -p -m 0644 %{SOURCE7} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-idl-compiler.pom
%else
%{__cp} -p %{_sourcedir}/jacorb-parent-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}-jacorb-parent.pom
%{__cp} -p %{_sourcedir}/jacorb-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}-jacorb.pom
%{__cp} -p %{_sourcedir}/jacorb-idl-compiler-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}-jacorb-idl-compiler.pom
%{__cp} -p %{_sourcedir}/resources-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}-jacorb-resources.pom
%{__cp} -p %{_sourcedir}/jacorb-release-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}-jacorb-release.pom
%add_to_maven_depmap org.jacorb parent %{namedversion} JPP %{name}-parent
%add_to_maven_depmap org.jacorb jacorb %{namedversion} JPP %{name}-jacorb
%add_to_maven_depmap org.jacorb jacorb-idl-compiler %{namedversion} JPP %{name}-idl-compiler
%add_to_maven_depmap org.jacorb resources %{namedversion} JPP %{name}-resources
%add_to_maven_depmap org.jacorb release %{namedversion} JPP %{name}-release
%endif

# resources
%if %without mead
mkdir -p tmp/resources
cd tmp
install -p -m 0644 ../idl/omg/CSI.idl resources/
install -p -m 0644 ../idl/omg/CosTransactions.idl resources/
install -p -m 0644 %{SOURCE4} resources/
install -p -m 0644 %{SOURCE5} resources/
jar -cf %{name}-resources-%{version}.jar resources 
install -p -m 0644 %{name}-resources-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/resources-%{version}.jar
%add_to_maven_depmap jacorb resources %{namedversion} JPP/%{name} resources
cd ..
rm -Rf tmp
%endif

(cd $RPM_BUILD_ROOT%{_javadir}/%{name}/ && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

# bin, etc, idl
%if %without mead
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
cp -pr bin/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc
cp -pr etc/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/idl
cp -pr idl/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/idl
%endif

# javadoc
%if %without mead
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
# FIXME: (dwalluck): This breaks rpmbuild -bi --short-circuit
rm -rf doc/api
%endif

# manual
%if %without mead
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/doc
cp -p index.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/doc
%endif

%if %without mead
%if %with demo
# demo
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/demo
%endif
%endif

%if %with repolib
install -d -m 755 $RPM_BUILD_ROOT%{repodir}/
install -d -m 755 $RPM_BUILD_ROOT%{repodir}/resources/
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}/
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@VERSION@/%{namedversion}-brew/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{PATCH2} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}/
install -p -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{repodirsrc}/README
#install -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{repodir}/resources/
install -p -m 0644 idl/omg/CSI.idl $RPM_BUILD_ROOT%{repodir}/resources/
#install -p -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{repodir}/resources/
install -p -m 0644 idl/omg/CosTransactions.idl $RPM_BUILD_ROOT%{repodir}/resources/
install -p -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{repodir}/resources/
install -p -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{repodir}/resources/
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/idl_g.jar $RPM_BUILD_ROOT%{repodirlib}/
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/%{shortname}_g.jar $RPM_BUILD_ROOT%{repodirlib}/
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/%{shortname}.jar $RPM_BUILD_ROOT%{repodirlib}/
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/idl.jar $RPM_BUILD_ROOT%{repodirlib}/
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/resources-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/resources.jar
install -p -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirlib}/
install -p -m 0644 %{SOURCE8} %{buildroot}%{repodirlib}/idl.pom
install -p -m 0644 %{SOURCE9} %{buildroot}%{repodirlib}/idl_g.pom
install -p -m 0644 %{SOURCE10} %{buildroot}%{repodirlib}/jacorb.pom
install -p -m 0644 %{SOURCE11} %{buildroot}%{repodirlib}/jacorb_g.pom
install -p -m 0644 %{SOURCE12} %{buildroot}%{repodirlib}/resources.pom
%{__install} -p -m 755 %{SOURCE13} %{buildroot}%{repodir}/upload.sh
pushd %{buildroot}%{repodir}
./upload.sh %{buildroot}/usr/share/java/repository.jboss.com/maven2-brew/
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/*.pom
%{_mavendepmapfragdir}/*

%if %without mead
%{_javadir}*/%{name}/*jar
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/bin
%attr(0755,root,root) %{_datadir}/%{name}-%{version}/bin/*
%{_datadir}/%{name}-%{version}/etc
%{_datadir}/%{name}-%{version}/idl
%else
%{_javadir}/%{name}/*jar
%endif

%if %without mead

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%if %with demo
%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/demo
%endif

%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%if %with mead
%files release
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jacorb-release-*.zip
%{_javadir}/%{name}/jacorb-idl-compiler*-resources.zip
%endif

%changelog
* Wed Apr 10 2013 Yong Yang <yyang@redhat.com> 0:2.3.2-11.redhat_4
- Add manifest version patch, git diff 06a8d87d58be19f48d4a220443e198c8350846de 4d3d7d44cea10a1867f1e61da93c87feb4d8eb7e
- Patch Version.java to set prod version

* Tue Apr 09 2013 Yong Yang <yyang@redhat.com> 0:2.3.2-10.redhat_4
- Fix build.xml patch

* Tue Apr 09 2013 Yong Yang <yyang@redhat.com> 0:2.3.2-9.redhat_4
- Add build.xml patch to fix version issue of MANIFEST, Bugzilla 918545

* Thu Mar 07 2013 Fernando Nasser <fnasser@redhat.com> - 0:2.3.2-8.redhat_3.1
- Fix installed JAR names
- Install files under "name" to avoid conflicts with the base OS

* Mon Feb 11 2013 Fernando Nasser <fnasser@redhat.com> - 0:2.3.2-8.redhat_3
- Bump suffix number

* Wed Feb 06 2013 Yong Yang <yyang@redhat.com> 0:2.3.2-7.redhat_1
- Add release subpackage to include distribution zips for Mead build

* Tue Feb 05 2013 Yong Yang <yyang@redhat.com> 0:2.3.2-6.redhat_1
- Mead build

* Wed Jan 23 2013 David Walluck <dwalluck@redhat.com> 0:2.3.2-5
- fix bad upload.sh
- fix repolib file ownership

* Fri Dec 07 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.3.2-4.1.redhat_3
- One Off for JBPAPP-10393

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.3.2-3.redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.3.2-3.redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.3.2-3.redhat_1.1
- Rebuild using cache signing

* Tue May 08 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.3.2-3.redhat_1
- Re-export from tag instead of branch

* Fri May 04 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.3.2-2.redhat_1
- Remove spurious packaging = pom specification from jacorb.pom

* Fri May 04 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.3.2-1.GA_redhat_1
- 2.3.2
- Remove patches that are already incorporated
- Add parser.java and sym.java from 2.3.1.src.zip

* Thu Apr 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.3.1-13.patch_05
- Remove version specification for slf4j at run-time

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.3.1-12.patch_05.5.1
- Rebuild using cache signing

* Mon Feb 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.3.1-12.patch-05.5
- DO not require jakarta-commons-logging at run-time  (provided)

* Mon Feb 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.3.1-12.patch-05.4
- Do not require avalon-logkit at run-time  (AS7 does not use that)

* Wed Jan 04 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.3.1-12.patch-05.3
- Change groupId to org.jacorb

* Thu Dec 15 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.3.1-12.patch-05.2
- Fix repository tag

* Thu Dec 15 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.3.1-12.patch-05.1
- From: Stefan Guilhen <sguilhen@redhat.com>
  A patch for jacorb issue 801 as an attempt to fix the thread per tx issue

* Wed Dec 14 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.3.1-11.patch-04.1
- Fix problem on interop TCK

* Wed Nov 23 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.3.1-10.patch-03.5
- Rename patch to remove reference to old 2.3.0
- Fix version patch version string from patch02 to patch03 and also fix date
- Upgrade slf4j to 1.6.1 and adjust build-classpath to new slf4j names

* Tue Oct 25 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> - 0:2.3.1-10.patch-03.4
- Add patch file jacorb-2.3.1-manifest.patch into the rpm

* Tue Oct 25 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> - 0:2.3.1-10.patch-03.3
- Include version number in MANIFEST.MF for jacorb-jboss.jar

* Mon Aug 22 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.3.1-10.patch-03.2
- Use namedversion when modifying pom.xml files
- Remove empty demo package

* Fri Aug 19 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.3.1-10.patch-03.1
- Upgrade to 2.3.1.patch-03
- Relax version of BR xjavadoc to >= 1.1

* Wed Mar 9 2011 Yiqiao Wang <yiwang@redhat.com> - 0:2.3.1-9.patch02.2
- Fix upload.sh and poms so that version does not have "-brew" in them

* Tue Feb 15 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.3.1-9.patch02.1
- Upgrade to patch-02
- Remove reference to slf4j/jdk14
- Rename pom.xml files to remove patchXY from name and process artifact version from spec file

* Mon Dec 20 2010 Yiqiao Wang <yiwang@redhat.com> - 0:2.3.1-8.2
- Build with Maven 2.2.1
- Add resouces-2.3.1.jar to repolib
- Add pom for each artifact in repolib/lib
- Add content of maven2-brew, add BR maven-deploy-plugin
- Add upload.sh to repolib
- Fix %%files for signed jars

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.3.1-8.1
- rebuilt

* Wed Apr 21 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.3.1-8
- Rebuild to generated signed jar (merge with RHEL-4, add patch2)

* Mon Apr 19 2010 Luiz Barreiros <gbarreir@redhat.com> 0:2.3.1-4.1
- Rebuild

* Fri Sep 11 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.1-4
- Add depmap fragments and resources.jar

* Sat Aug 08 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.1-3
- Copy missing patch to 'src'
- Add it to list in the README
- Update component-info.xml and fix the VERSION replacement code

* Fri Aug 07 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.1-2
- Re-add the CORBA_OBJECT_NOT_EXIST patch
- Increase memory for Ant to avoid java.lang.OutOfMemoryError: Java heap space

* Wed Jul 29 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.1-1
- Upgrade to JacORB 2.3.1
- Remove dependency on Avalon Framewok no longer needed
- Remove patches already incorporated upstream
  From Stefan Guillen:
- Patch for read_boolean "skip" problem

* Wed Jun 24 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-20
- Provide jacorb so we don't have to change other packages

* Wed Mar 18 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-19
- Fix version and compatibles in component-info.xml

* Tue Mar 17 2009 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-18
  From Stefan Guilhen <sguilhen@redhat.com>:
- Remove OTS classes to avoid conflict with jbossjts-jacorb.jar

* Tue Mar 17 2009 David Walluck <dwalluck@redhat.com> 0:2.3.0-17.1
- build in brew

* Tue Mar 17 2009 David Walluck <dwalluck@redhat.com> 0:2.3.0-17
- update to jboss patch 6

* Wed Mar 11 2009 Ralph Apel <r.apel@r-apel.de> 0:2.3.0-16
- drop Requires tanukiwrapper: OPTIONAL

* Sat Oct 11 2008 Yong Yang <yyang@redhat.com> 0:2.3.0-15
- remove jdk6 condition in javadoc section of install

* Fri Oct 10 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-14
- add javadoc maxmemory patch

* Fri Oct 10 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-13
- fix repolib
- fix component-info.xml

* Fri Oct 10 2008 Yong Yang <yyang@redhat.com> 0:2.3.0-12
- Apply jdk6 patch

* Thu Jul 24 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-11
- remove Class-Path from manifest (again)

* Thu Jul 24 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-10
- add pom for idl compiler

* Thu Jul 24 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-9
- make Class-Path entry in manifest a single line

* Wed Jul 23 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-8
- update CLASSPATH in manifest

* Sat Jul 19 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-7
- update logkit compatible line

* Sat Jul 19 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-6
- update avalon compatible line
- fix repodir version

* Mon Jul 14 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-5
- remove Class-Path from manifest

* Mon Jul 14 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-4
- own %%{_datadir}/%%{name}-%%{version}
- use excalibur for avalon
- update manifest Class-Path entry
- Requires: antlr (referenced by Class-Path entry)
- fix file permissions
- remove some irrelevant lines from the description

* Mon Jun 22 2008 David Walluck <dwalluck@redhat.com> 0:2.3.0-3.jpp5
- fix avalon-{framework,logkit} deps
- fix repolib file permissions

* Wed Mar 05 2008 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-2jpp
- Adapt for JPP 5.0

* Tue Oct 09 2007 Deepak Bhole <dbhole@redhat.com> 0:2.3.0-1jpp.ep1.4
- Update patch number in readme

* Tue Oct 02 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-1jpp.ep1.3
- Add README file to the 'src' subdirectory in repolib
- Fix the version number in jacorb-2.3.0-version.patch

* Wed Sep 19 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-1jpp.ep1.2
- Add patches from Stefan N Guilhen <sguilhen@redhat.com>:
  Fix for JIRA issue JBAS-4737 -- fix some issues related to CSIv2
  interoperability.

* Wed Aug 21 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-1jpp
- Upgrade

* Wed Jun 06 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-1jpp.ep1.1
- Add patch from Francisco Reverbel <reverbel@gmail.com>:
  Fix for NPE on shutdown

* Fri Jun 01 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-0jpp.el4ep1.4
- Add patch from Francisco Reverbel <reverbel@gmail.com>:
  Fix for bug #783 in JacORB's bugzilla system

* Thu May 31 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-0jpp.el4ep1.3
- Add patch from Francisco Reverbel <reverbel@gmail.com>:
  Fix for bug #782 in JacORB's bugzilla system

* Thu May 31 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-0jpp.el4ep1.2
- Add missing patch files to repolib src subdir

* Mon May 28 2007 Fernando Nasser <fnasser@redhat.com> 0:2.3.0-0jpp.el4ep1.1
- Upgrade to 2.3.0, with patches

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.4-0.1.patch01.ep1.1
- Rebuild

* Thu Mar 08 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.4-0.1.patch01.el4ep1.5
- Make picocontainer optional

* Fri Mar 1 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:2.2.4-0.1.patch01.el4ep1.4
- Avoid conflict with jacorb and install in jacorb-jboss directories
- Add /usr/share/java/repository.jboss.com as base directory for repolib file 
  installations

* Thu Feb 28 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:2.2.4-0.1.patch01.el4ep1.3
- Add repolib support

* Wed Feb 27 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:2.2.4-0.1.patch01.el4ep1.2
- Build for EP (for real)

* Wed Feb 27 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:2.2.4-0.1.patch01.el4ep1.1
- First build for EP

* Sun Feb 18 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.4-1jpp.el4ep1.1
- Merge with upstream

* Sun Feb 18 2007 Fernando Nasser <fnasser@redhat.com> 0:2.2.4-1jpp
- Upgrade
- Add missing requires

* Tue Aug 01 2006 Fernando Nasser <fnasser@redhat.com> 0:2.2.3-2jpp_1rh
- Merge with upstream

* Tue Aug 01 2006 Fernando Nasser <fnasser@redhat.com> 0:2.2.3-2jpp
- Add missing header
- Add missing dependency on picocontainer

* Fri Jul 21 2006 Ralph Apel <r.apel@r-apel.de> 0:2.2.3-1jpp
- Upgrade to 2.2.3
- First JPP-1.7 release

* Wed Jul 13 2005 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp_3rh
- Backport fixes from Archit Shah <ashah@redhat.com>

* Wed Jul 13 2005 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp_2rh
- Rebuild

* Fri Jun 17 2005 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp_1rh
- Merge with upstream for upgrade

* Fri Jun 17 2005 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1jpp
- Upgrade to 2.2.2

* Mon Dec 20 2004 Fernando Nasser <fnasser at redhat.com> 0:2.2-3jpp_1rh
- First Red Hat Release

* Sat Dec 04 2004 Ralph Apel <r.apel at r-apel.de> 0:2.2-3jpp
- Include contents of bin, etc, idl
- TODO: which files from bin should go into _bindir

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.2-2jpp
- Rebuild with ant-1.6.2

* Fri Jul 30 2004 Ralph Apel <r.apel at r-apel.de> 0:2.2-1jpp
- First JPackage release
